/*
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published 
 * by the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _SORTWDGTP_H_
#define _SORTWDGTP_H_

#include "SortWdgt.h"

typedef struct {
  char* label;
  int* data;
  int count;
  int maxval;
  XFontStruct* font;
  Pixel foreground;
  GC gc;
} SortPart;

typedef struct _SortRec {
  CorePart core;
  SortPart sort;
} SortRec;

typedef struct _SortClassRec {
  CoreClassPart core_class;
} SortClassRec, *SortWidgetClass;

extern SortClassRec sortClassRec;

#endif

